<!DOCTYPE html>
<html lang="es-Cl">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mis Perris</title>
  {% load static %}
  <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/estilo.css' %}" type="text/css">
  <link rel="icon" type="image/png" href="registro/favicon.png">
  <link rel="manifest" href="/manifest.json">
  
</head>

<body>
  <!--Barra de navegacion principal-->
  <nav class="navbar navbar-expand-lg navbar-light" style="background-color: 	#89D9BC">
    <img class="img-fluid espaciado-logo" src="static/img/misperris/logo.png" alt="logo" width="250px">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav"
      aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item active">
          <a class="nav-link color-boton centrar-texto espaciado-navBar" style="color: white" href="#">Inicio</a>
        </li>
        <li class="nav-item">
          <a class="nav-link color-boton centrar-texto espaciado-navBar" style="color: white" href="#">Quienes Somos</a>
        </li>
        <li class="nav-item">
          <a class="nav-link color-boton centrar-texto espaciado-navBar" style="color: white" href="#">Servicios</a>
        </li>
        <li class="nav-item">
          <a class="nav-link color-boton centrar-texto espaciado-navBars" style="color: white" href="#">Contactenos</a>
        </li>
      </ul>
    </div>
    <!--Sesion de usuario-->

    <span class="navbar-text user-menu-title">
      {% if user.is_authenticated %}
      <div class="dropdown">
        <a class="nav-link dropdown-toggle username" style="color: white" href="#" id="navbarDropdownMenuLink" role="button"
          data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Bienvenid@ {{user}}
        </a>
        <div class="dropdown-menu dropdown-user-style" aria-labelledby="navbarDropdownMenuLink">
          <a class="nav-link dropdown-item" href="{% url 'userLogout' %}">Cerrar sesión</a>
        </div>
      </div>
      {% else %}
      <a class="btn btn-outline-light" style="color: white" href="{% url 'login' %}">
        Inicar Sesión
      </a>
      {% endif %}
    </span>
  </nav>



  <!--Carrucel de imagenes-->

  <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
      <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
      <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
      <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
    </ol>
    <div class="carousel-inner">
      <div class="carousel-item active" style="background-size: cover">
        <img id="imagen" class="d-block w-100 img-size" src="static/img/adoptados/Apolo.jpg" alt="First slide">
        <div id="font-img-car" class="carousel-caption">
          <p class="texto-left">"La energia de Apolo es contagiosa, es todo lo que necesitabamos en nuestra vida"</p>
        </div>
      </div>
      <div class="carousel-item" style="background-size: cover">
        <img class="d-block w-100 img-size" src="static/img/adoptados/Duque.jpg" alt="Second slide">
        <div id="font-img-car" class="carousel-caption">
          <p class="texto-left">"Duque es el mejor compañero que podria pedir"</p>
        </div>
      </div>
      <div class="carousel-item">
        <img class="d-block w-100 img-size" src="static/img/adoptados/Tom.jpg" alt="Third slide">
        <div id="font-img-car" class="carousel-caption">
          <p class="texto-left">"Estamos felices de tener a Tom en casa. Es un super fiel compañero"</p>
        </div>
      </div>
    </div>
    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>

  <!--Redes sociales-->

  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 text-center" style="background-color: #89D9BC">
    <div class="icons ">
      <img class="icones-margen" src="static/img/iconos/iconmonstr-facebook-4-240.png" alt="">
      <img class="icones-margen" src="static/img/iconos/iconmonstr-google-plus-4-32.png" alt="">
      <img class="icones-margen" src="static/img/iconos/iconmonstr-instagram-14-32.png" alt="">
      <img class="icones-margen" src="static/img/iconos/iconmonstr-email-10-32.png" alt="">
    </div>
  </div>

  <!--Informacion-->

  <div class="container">
    <div class="row">
      <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 " style="margin-bottom: 30px;">
        <div id="main-font-right">
          <p>RESCATE</p>
        </div>
        <div id="second-font-right">
          <p>ETAPA UNO</p>
        </div>
        <div id="division-right">
          <p>_______</p>
        </div>
        <div id="texto-rescate">
          <p>Rescatamos perros en situación de peligro y/o abandono. Los rehabilitamos y los preparamos para
            buscarles un hogar</p>
        </div>
        <div><img style="float:right;" src="static/img/misperris/rescate.jpg" alt="rescate" width="200"></div>
      </div>
      <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6" style="margin-bottom: 30px;">
        <div id="crowfunding"> <img style="margin-top: 13px; " src="static/img/misperris/crowfunding.jpg" alt="crowfunding"
            width="200"></div>
        <div id="main-font-left">
          <p>CROWDFUNDING</p>
        </div>
        <div id="second-font-left">
          <p>FINANCIAMIENTO</p>
        </div>
        <div id="division-left">
          <p>_______</p>
        </div>
        <div>
          <p>Sigue nuestras redes sociales para informarte acerca de las diversas campañas y actividades que
            realizamos para obtener financiamiento para seguir ayudando</p>
        </div>
        <button type="button" class="btn btn-outline-dark">CAMPAÑAS</button>
      </div>
    </div>
  </div>

  <!--Imagenes perros rescatados/por adoptar-->

  <div class="container-fluid galeria">
    <div class="row">
      <div class="col-md-12">
        <h4>Galeria de rescatados</h4>
      </div>
    </div>
     <!--Galeria disponibles-->
    <div class="row galery-title">
      <div class="col-md-12">
        <h4>Disponibles</h4>
      </div>
    </div>
    <div class="row galery-row">
        {% for p in perro %}
            {% ifequal p.estado "Disponible" %}
                <div class="col-md-3">
                    <a href="#" data-toggle="modal" data-target="#{{p.nombre}}">
                        <img src="/media/{{p.foto}}" alt="no doggo" class="galeria-img">
                    </a>
                    <div class="row">
                        <div class="col-6 col-md-6">
                            <span>Raza predominante: {{p.raza}}</span>
                            <span>Descripción: {{p.descripcion}}</span>
                            <span>Estado: {{p.estado}}</span>
                        </div>
                    </div>      
                </div>
            {% endifequal %}
        {% endfor %}
    </div>
    <!--Galeria rescatados-->      
    <div class="row galery-title">
        <div class="col-md-12">
          <h4>Rescatados</h4>
        </div>
      </div>
      <div class="row galery-row">
          {% for p in perro %}
              {% ifequal p.estado "Rescatado" %}
                  <div class="col-md-3">
                      <a href="#" data-toggle="modal" data-target="#{{p.nombre}}">
                          <img src="/media/{{p.foto}}" alt="no doggo" class="galeria-img">
                      </a>
                      <div class="row">
                          <div class="col-6 col-md-6">
                              <span>Raza predominante: {{p.raza}}</span>
                              <span>Descripción: {{p.descripcion}}</span>
                              <span>Estado: {{p.estado}}</span>
                          </div>
                      </div>                      
                  </div>                  
              {% endifequal %}
          {% endfor %}
      </div>
    <!--Galeria adoptados-->  
      <div class="row galery-title">
          <div class="col-md-12">
              <h4>Adoptados</h4>
          </div>
      </div>
      <div class="row galery-row">
          {% for p in perro %}
              {% ifequal p.estado "Adoptado" %}
                  <div class="col-md-3">
                      <a href="#" data-toggle="modal" data-target="#{{p.nombre}}">
                          <img src="/media/{{p.foto}}" alt="no doggo" class="galeria-img">
                      </a>
                      <div class="row">
                          <div class="col-6 col-md-6">
                              <span>Raza predominante: {{p.raza}}</span>
                              <span>Descripción: {{p.descripcion}}</span>
                              <span>Estado: {{p.estado}}</span>
                          </div>
                      </div>      
                  </div>                  
              {% endifequal %}
          {% endfor %}
      </div>

    <!--Formulario de registro-->

    <div class="container-fluid" style="background-color: #89D9BC">
      <div class="container">
        <h1 id="main-font">Registro de usuarios</h1>
        <form action="{% url 'registro' %}" id="formulario" method="post" enctype="multipart/form-data">
          {% csrf_token %}
          <div class="row">
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-8">
              <div class="form-group">
                <label for="usuario">Usuario</label>
                <input type="text" required class="form-control" name="usuario" placeholder="Ingrese usuario" >
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
              <div class="form-group">
                <label for="contrasenia">Contraseña</label>
                <input class="form-control" type="password" name="contrasenia" id="contrasenia" placeholder="Ingrese contraseña">
                <small id="input-help" class="form-text text-muted"></small>
              </div>
            </div>
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-8">
              <div class="form-group">
                <label for="nombre">Nombre Completo</label>
                <input type="text" class="form-control" name="nombre" placeholder="Nombre completo" >
              </div>
            </div>
            <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
              <div class="form-group">
                <label for="run">Run</label>
                <input type="text" id="run" class="form-control" name="run" placeholder="1.111.111-1">
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
              <div class="form-group">
                <label for="fechanacimiento">Fecha de Nacimiento</label>
                <input type="date" class="form-control" name="fechaNacimiento" id="fechanacimiento">
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
              <div class="form-group">
                <label for="telefono">Teléfono de contacto</label>
                <input type="text" class="form-control" name="telefono" placeholder="Teléfono o celular" >
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
              <div class="form-group">
                <label for="correo">Correo Electrónico</label>
                <input type="email" class="form-control" name="email" id="email" placeholder="ejemplo@misperris.cl">
                <small id="input-help" class="form-text text-muted"></small>
              </div>
            </div>
            <div class="container">
              <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="region">Región</label>
                    <select name="region" class="form-control" id="region">
                      <option hidden>Seleccione Regíon</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label for="comuna">Comuna</label>
                    <select class="form-control" name="comuna" id="comuna">
                      <option hidden>Seleccione Comuna</option>
                    </select>
                    <div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
              <div class="form-group">
                <label for="vivienda">Tipo de vivienda</label>
                <select name="vivienda" class="form-control" id="">
                  <option hidden>Seleccione tipo de vivienda</option>
                  <option value="patiogrande">Casa con patio grande</option>
                  <option value="patiopequeño">Casa con patio pequeño</option>
                  <option value="sinpatio">Casa sin patio</option>
                  <option value="depto">Departamento</option>
                </select>
                <small id="input-help" class="form-text text-muted"></small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <button class="btn btn-danger btn-block button-margin" type="reset">Limpiar</button>
            </div>
            <div class="col-md-6">
              <input type="submit" class="btn btn-outline-info btn-block button-margin font-button" value="Registrar">
            </div>
          </div>
        </form>
      </div>
    </div>

    <!--Scripts js-->

    <script src="{% static '/js/jquery-3.3.1.js' %}"></script>
    <script src="{% static '/js/jquery.validate.js' %}"></script>
    <script src="{% static '/js/additional-methods.js' %}"></script>
    <script src="{% static '/js/jquery.rut.js' %}"></script>
    <script src="{% static '/js/bootstrap.js' %}"></script>
    <script src="{% static '/js/app.js' %}"></script>
</body>

<!--Footer-->

<footer>
  <div class="container-fluid footer-pad" style="background-color: #EDEDED">
    <p>Desarrollo Web y Mobile</p>
  </div>
</footer>

</html>